Retail Express API 2.1

Searches Purchase Orders by parameters

Searches Purchase Orders by parameters

get
https://api.retailexpress.com.au/v2.1/purchaseorders

Query Parameters

filter_bystring | null

Filter by.

Available field name values: id, external_purchase_order_id, reference_purchase_order_id, status, outlet, supplier, eta, created_on, modified_on, product_id, created_by_id, created_by_first_name, created_by_surname

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:gte:1,outlet:in:outlet1|outlet2

order_bystring | null

Order by.

Available field name values: id, status, outlet, supplier, eta, created_on, modified_on, created_by_id, created_by_first_name, created_by_surname

Available direction values: asc, desc.

Example: id asc, supplier desc

include_itemsboolean

Include items

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Purchase Orders data

PurchaseOrder.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Purchase order model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/purchaseorders
 
application/json

Searches Purchase Order Items by Purchase Order id and other parameters

Searches Purchase Order Items by Purchase Order id and other parameters

get
https://api.retailexpress.com.au/v2.1/purchaseorders/{id}/purchaseorderitems

Query Parameters

filter_bystring | null

Filter by.
Available field name values: quantity_on_order, quantity_received, quantity_ordered, quantity_received_variance, quantity_cancelled, variance_reason_id, po_item_id, product_id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, length, breadth, depth, cubic, total_cubic, carton_quantity, weight, total_weight, rrp_inc, sell_price_inc, product_type, size mapped to value name, colour mapped to value name, brand mapped to value name, season mapped to value name, custom1, custom2, custom3, gross_profit, mark_up, quantity_available, quantity_special_order, quantity_remaining, supplier_buy_ex, total_supplier_buy_ex, attribute, supplier_id, supplier_code, supplier_name, attribute:Id, msl, modified_on, created_on, pricing_sell_price_inc, pricing_promotional_price_inc, pricing_promotional_price_start, pricing_promotional_price_end, is_linked_to_transfer.

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: quantity_on_order:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom Attribute Value 123

order_bystring | null

Order by.

Available field name values: quantity_on_order, quantity_received, quantity_ordered, quantity_received_variance, quantity_cancelled, variance_reason_id, po_item_id, product_id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, length, breadth, depth, cubic, total_cubic, carton_quantity, weight, total_weight, rrp_inc, sell_price_inc, product_type, size, colour, custom1, custom2, custom3, gross_profit, mark_up, quantity_available, quantity_special_order, quantity_remaining, total_supplier_buy_ex, brand, season, attribute, supplier_code, supplier_name, attribute:Id, msl, modified_on, created_on, pricing_sell_price_inc, pricing_promotional_price_inc, pricing_promotional_price_start, pricing_promotional_price_end, is_linked_to_transfer.

Available direction values: asc, desc.

Example: quantity_received_variance asc, quantity_on_order desc, attribute:101

selectstring | null

Select fields.

Available field name values: id, po_id, quantity_remaining, quantity_ordered, quantity_received, quantity_cancelled, quantity_special_order, quantity_back_order, quantity_received_variance, supplier_buy_ex, product_id, product_supplier_buy_ex.

Example: id

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Purchase Order id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Purchase Order Items data

PurchaseOrderItem.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Purchase Order Item

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/purchaseorders/{id}/purchaseorderitems
 
application/json

Deletes specific Purchase Order Item by id

Deletes specific Purchase Order Item by id

delete
https://api.retailexpress.com.au/v2.1/purchaseorders/{id}/purchaseorderitems/{item_id}

Path Parameters

idinteger(int32)required

Purchase Order id

item_idinteger(int32)required

Purchase Order Item id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Purchase Order Item was deleted

delete/purchaseorders/{id}/purchaseorderitems/{item_id}
 

receiptvariancereasons

Gets Receipt Variance Reason by id

Gets Receipt Variance Reason by id

get
https://api.retailexpress.com.au/v2.1/receiptvariancereasons/{id}

Path Parameters

idinteger(int32)required

Receipt Variance Reason id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Receipt Variance Reason

ReceiptVarianceReason

Receipt Variance Reason Model

* Additional properties are NOT allowed.
idinteger(int32)

Receipt Variance Reason Id.

namestring | null

Receipt Variance Reason name

>= 0 characters<= 100 characters

enabledboolean

Is Receipt Variance Reason Enabled

Default:true

created_onstring | null(date-time)

Created on

created_byobject
* Additional properties are NOT allowed.
Show Child Parameters
modified_onstring | null(date-time)

Modified on

modified_byobject
* Additional properties are NOT allowed.
Show Child Parameters
get/receiptvariancereasons/{id}
 
application/json